function refreshCaptcha() {
    var img = document.images['captcha_image'];
    img.src = img.src.substring(0,img.src.lastIndexOf('?')) + '?rand=' + Math.random() * 1000;
}
function reorder(orderArray, elementContainer) {
    $.each(orderArray, function(key, val){
        elementContainer.append($("#" + val));
    });
}
function tranferirSelect(origen, destino) {
    $( "#"+origen+" > option" ).each(function() {
        $("#"+origen+" option:selected").remove().appendTo($("#"+destino));
    });
    selectBox = document.getElementById(destino);
    if (selectBox.type == "select-multiple") { 
        for (var i = 0; i < selectBox.options.length; i++) { 
             selectBox.options[i].selected = true; 
        } 
    }
}
$(document).ready(function() {
    $('#datatable').DataTable({
        'language': {
            'sProcessing': 'Procesando...',
            'sLengthMenu': 'Mostrar _MENU_ registros',
            'sZeroRecords': 'No se encontraron resultados',
            'sEmptyTable': 'Ningún dato disponible en esta tabla',
            'sInfo': 'Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros',
            'sInfoEmpty': 'Mostrando registros del 0 al 0 de un total de 0 registros',
            'sInfoFiltered': '(filtrado de un total de _MAX_ registros)',
            'sInfoPostFix': '',
            'sSearch': 'Buscar:',
            'sUrl': '',
            'sInfoThousands': ',',
            'sLoadingRecords': 'Cargando...',
            'oPaginate': {
                'sFirst': 'Primero',
                'sLast': 'Último',
                'sNext': 'Siguiente',
                'sPrevious': 'Anterior'
            },
            'oAria': {
                'sSortAscending': ': Activar para ordenar la columna de manera ascendente',
                'sSortDescending': ': Activar para ordenar la columna de manera descendente'
            }
        }
    });
    $( "#accordion" ).accordion({
        heightStyle: "content"
    });
    
        $( ".accordion" ).accordion({ collapsible: true });
      
    if(document.getElementById('accordionVerification')) {
        $( "#accordionVerification" ).accordion({ heightStyle: "content" });
        $( ".ui-accordion-content" ).show();
        $( "h3[accordion=true]" ).removeClass();
        $( "h3[accordion=true]" ).addClass( "ui-accordion-header ui-corner-top ui-state-default ui-accordion-header-active ui-state-active ui-accordion-icons" );
    }
    $( "select.percentValues" ).on('change', function() {
        var total = 0;
        $( "select.percentValues" ).each(function() {
            total = total + parseInt( $( this ).val() );
        });
        $( "#percentTotal" ).val('');
        $( "#percentValues" ).html('Total: ' + total + '%');
        $( "#percentValues" ).removeClass();
        if(total == 100) {
            $( "#percentTotal" ).val(total);
            $( "#percentValues" ).addClass('suc');
        } else {
            $( "#percentValues" ).addClass('err');
        }
        if(total > 100) {
            alert("Revice los porcetajes en los dominios de accion para que el total sea igual a 100");
        }
    });
    $( "select.percentValues" ).trigger( "change" );
    $( "#menu-admin" ).on('click', function() {
        $( "#menu-admin-list" ).toggle();
    });
    $( "#typepath" ).on('change', function() {
        var type = $( this ).val();
        document.getElementById('pathfile').style.display = 'none';
        document.getElementById('pathurl').style.display = 'none';
        document.getElementById('path' + type).style.display = 'block';
    });
    $( '.popup' ).on('click', function() {
        var dataUrl = $( this ).attr("data-url");
        $( '#popup-div' ).toggle();
        $( '#popup-iframe' ).attr("src", dataUrl);
        
    });
    $( '#popup-close' ).on('click', function() {
        $( '#popup-div' ).toggle();
        $( '#popup-iframe' ).attr("src", "");
    })
});
tinymce.init({
    selector: 'textarea.richtext',
    /*plugins: 'a11ychecker advcode casechange formatpainter linkchecker lists checklist media mediaembed pageembed permanentpen powerpaste  tinydrive tinymcespellchecker',*/
    plugins: 'lists media tinydrive',
    toolbar_drawer: 'floating',
    tinycomments_mode: 'embedded',
    tinycomments_author: 'Author name',
    height : '600px'
});


function update() { 
    var select = document.getElementById('language');
    var option = select.options[select.selectedIndex];
    var jsVar1 = option.value; // Guardar el valor en una variable llamada "value"
    console.log(jsVar1);
    document.getElementById('value').value = jsVar1;
   // window.location.href = window.location.href + "?w1=" + jsVar1 ;

  }
  
  update();

  //----------------------------
  function mostrar(id){
    var select = document.getElementById('procedimiento');
    var option = select.options[select.selectedIndex];
    var jsVar1 = option.text; // Guardar el valor en una variable llamada "value"
    console.log(jsVar1);
    var otro = 0;

    var obj = document.getElementsByClassName(id); /* Esto nos recoge un array de todos los
      elementos cuyo atributo class sea el contenido de la variable "bloq" */
      for (var i = 0; i<obj.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
      veces encuentre un elemento con atributo class="id" */
              obj[i].style.display = (obj[i].style.display=='none') ? '' : ''; /* No olvidemos poner
               un [i] para identificar el elemento de un array. */
      }    
      for (var j = 0; j<=15; ++j) {
        if(j!=id){
            var otro = document.getElementsByClassName(j);
        for (var i = 0; i<otro.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
        veces encuentre un elemento con atributo class="otro" */
                otro[i].style.display = (otro[i].style.display=='') ? 'none': 'none'; /* No olvidemos poner
                 un [i] para identificar el elemento de un array. */

        } 
      }  
    }
}

function mostrar_cg(id){
    var select = document.getElementById('procedimiento_cg');
    var option = select.options[select.selectedIndex];
    var jsVar1 = option.text; // Guardar el valor en una variable llamada "value"
    console.log(jsVar1);
    console.log(id);
    var otro = 0;
    value='onetablecg_'+id;
    var obj = document.getElementsByClassName(value); /* Esto nos recoge un array de todos los
      elementos cuyo atributo class sea el contenido de la variable "value" */
      for (var i = 0; i<obj.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
      veces encuentre un elemento con atributo class="id" */
      value='onetablecg_'+id;
      console.log(value);
              obj[i].style.display = (obj[i].style.display=='none') ? '' : ''; /* No olvidemos poner
               un [i] para identificar el elemento de un array. */
      }    
      for (var j = 0; j<=15; ++j) {
        if(j!=id){
            value1='onetablecg_'+j;
            console.log(value1);
            var otro = document.getElementsByClassName(value1);
        for (var i = 0; i<otro.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
        veces encuentre un elemento con atributo class="otro" */
                otro[i].style.display = (otro[i].style.display=='') ? 'none': 'none'; /* No olvidemos poner
                 un [i] para identificar el elemento de un array. */

        } 
      }  
    }
}
function mostrar_ce(id){
    var select = document.getElementById('procedimiento_ce');
    var option = select.options[select.selectedIndex];
    var jsVar1 = option.text; // Guardar el valor en una variable llamada "value"
    console.log(jsVar1);
    console.log(id);
    var otro = 0;
    value='onetablece_'+id;
    var obj = document.getElementsByClassName(value); /* Esto nos recoge un array de todos los
      elementos cuyo atributo class sea el contenido de la variable "value" */
      for (var i = 0; i<obj.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
      veces encuentre un elemento con atributo class="id" */
      value='onetablece_'+id;
      console.log(value);
              obj[i].style.display = (obj[i].style.display=='none') ? '' : ''; /* No olvidemos poner
               un [i] para identificar el elemento de un array. */
      }    
      for (var j = 0; j<=15; ++j) {
        if(j!=id){
            value1='onetablece_'+j;
            console.log(value1);
            var otro = document.getElementsByClassName(value1);
        for (var i = 0; i<otro.length; ++i) { /* Bucle for, le estamos diciendo que se ejecute según tantas
        veces encuentre un elemento con atributo class="otro" */
                otro[i].style.display = (otro[i].style.display=='') ? 'none': 'none'; /* No olvidemos poner
                 un [i] para identificar el elemento de un array. */

        } 
      }  
    }
}
 
